//----------------------------BEGIN LICENSE----------------------------
/* 
 * Willow : the Open Source WorkFlow Project
 * Distributable under GNU LGPL license by gun.org
 *
 * Copyright (C) 2004-2010 huihoo.org 
 * Copyright (C) 2004-2010  ZosaTapo <dertyang@hotmail.com> 
 * 
 * ====================================================================
 * Project Homepage : http://www.huihoo.org/willow
 * Source Forge     : http://sourceforge.net/projects/huihoo
 * Mailing list     : willow@lists.sourceforge.net 
 */
//----------------------------END  LICENSE----------------------------
package org.huihoo.god4j.actions;

import java.awt.event.ActionEvent;

import javax.swing.JDialog;
import javax.swing.JLabel;

import org.huihoo.god4j.GOD4JFactory;
import org.huihoo.god4j.util.ToolUtils;

/**
 * @author zosatapo
 *
 * To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Generation - Code and Comments
 */
public class HelpManual extends ActionBase
{

	public HelpManual()
	{
		super();
		setEnabled(true);
	}

	public void actionPerformed(ActionEvent e)
	{
		JDialog dialog = new JDialog(GOD4JFactory.getGOD4J(), sm_god4j.getString("designer.helpTitle"), true);
		JLabel label = new JLabel(sm_god4j.getString("designer.helpManual"));
		label.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
		dialog.getContentPane().add(label);
		dialog.setSize(350, 200);
		ToolUtils.centerDesktop(dialog);
		dialog.show();
	}
}
